void draw_fond() {
  float Agrandissement;       // echelle de l'image de fond

// dessin du fond
    pushMatrix();
    Agrandissement=WinLarg/725.;              // rapport d'échelle largeur ecran / largeur dze l'image de fondAgrandissement=WinLarg/725.;
    translate(WinLarg/2, Agrandissement*1050/2);                       // place la reference pour le tachy au centre horizontal de la fenetre
    image(fond, 0 , 0 , WinLarg*1.01, Agrandissement*950);
    popMatrix();
    
// dessin des etiquettes des interrupteurs :
    pushMatrix();
    translate(WinLarg/2, Agrandissement*930);       // place la reference pour le tachy au centre horizontal de la fenetre
    fill(220);
    rect(WinLarg*0.115,-WinLarg*0.017,WinLarg*0.095,WinLarg*0.04);
    rect(-WinLarg*0.11,-WinLarg*0.017,WinLarg*0.07,WinLarg*0.04);
    rect(-WinLarg*0.42,-WinLarg*0.017,WinLarg*0.13,WinLarg*0.04);
    textFont(fontDymo);
    textAlign(LEFT);
    fill(10);
    text("unites",-WinLarg*0.42,WinLarg*0.0225);
    text("RAZ",-WinLarg*0.11,WinLarg*0.0225);
    text("feux",WinLarg*0.115,WinLarg*0.0225);
    popMatrix();

// dessin des graduations
    Agrandissement=WinLarg/1420.;            // aiguilles et cadrans sont tous a la meme echelle
    pushMatrix();
    translate(X0, Y0);                       // place la reference pour le tachy au centre horizontal de la fenetre
    image(cadran, 0, -WinLarg/6.35, Agrandissement*1042 , Agrandissement*602);  // pour 1038x602
    popMatrix();

// ecriture de la distance
     fill(20);                         // rectangle noir de fond pour les 7 segments
     rect(Dx-Dl,Dy-Dh,Dl+0.1*WinLarg,Dh);
     textFont(fontDist);                                  // pour la distance
     fill(65,65,0);                                       // appercu des segments eteints en jaune fonce
     textAlign(RIGHT);                                    // Alignement du texte à droite
     text("-888888",Dx-int (WinLarg * 0.01),Dy-int (WinLarg * 0.01));
     fill(250,250,0);                                       // couleur jaune pour les segments allumes
     text(distance, Dx-int (WinLarg * 0.01),Dy-int (WinLarg * 0.01));  

// trace des unites
     textFont(fontUnits);                                  // pour les unites
     textAlign(RIGHT);
     fill(250,250,0);
     textSize(WinLarg*0.05);
     text(Ud, Vx*1.99,Vy/5);
     fill(20);
     textAlign(CENTER);
     textSize(WinLarg*0.025);
     text(Uv, Vx, Vy);
     text("Min.",XM*1.01,YM*0.965);
     
// dessin de l'aiguille des minutes
      pushMatrix();
      translate(XM,YM);                                        // repere au centre du cadran
      rotate(PI*(0.5 + ((minute()+second()/60.) % 10) * 0.2)); // angle proportionnel aux mnutes
      image(aiguille_minutes, -WinLarg/32.76 , 0 , Agrandissement*135 , Agrandissement*51);
      popMatrix(); 
      
// dessin de l'aiguille des vitesse par dessus les graduations et les minutes
      pushMatrix();
      translate(X0, Y0);                       // place la reference pour le tachy au centre horizontal de la fenetre
      rotate(Angle);
      if (vitesse<0) image(aiguille_bleue, -WinLarg/5.94, 0,535*Agrandissement,52*Agrandissement); // dessin de l'aiguille bleue (vitesse negative)
      else           image(aiguille_noire, -WinLarg/5.94, 0,535*Agrandissement,52*Agrandissement); // dessin de l'aiguille noire (vitesse positive)
      rotate(Amax-Angle);
      image(aiguille_rouge, -WinLarg/5.94, 0,535*Agrandissement,52*Agrandissement); // dessin de l'aiguille verte (vitesse positive
      popMatrix();

// dessin du premier plan
      pushMatrix();
      Agrandissement=WinLarg/725.;
      translate(WinLarg/2, Agrandissement*1001/2);                       // place la reference pour le tachy au centre horizontal de la fenetre
      image(top, 0 , 0 , WinLarg*1.01, Agrandissement*905);
      popMatrix();

// dessin du titre
     textFont(fontUnits);
     textSize(Agrandissement*50);
     textAlign(CENTER);
     fill(0);
     text("Wagon de",WinLarg/4,1150*Agrandissement);
     text("mesure",WinLarg/4,1200*Agrandissement);
     image(wagon,WinLarg*0.75,1160*Agrandissement,Agrandissement*324,Agrandissement*225);
     
// affichage trame recue
     fill (0);
     textAlign(RIGHT);
     textFont(fontInfo);
     text(trame,WinLarg*0.95,1030*Agrandissement);
}
